.product-full__main {
  display: grid;
  padding: var(--spacing-lg) var(--spacing-md);
  border-radius: var(--radius-md);
  background-color: var(--color-surface);
  box-shadow: var(--shadow-xs);
  grid-gap: var(--spacing-lg);
  grid-template-columns: 1fr;
}

.product-full__main-second {
  display: grid;
  grid-gap: var(--spacing-lg);
}

.product-full__buy {
  align-items: center;
  padding: var(--spacing-md);
  border-radius: var(--radius-md);
  box-shadow: var(--shadow-sm);
  grid-gap: var(--spacing-lg);
}

.product-full__buy > .compare-button-full {
  margin-bottom: var(--spacing-sm);
}

.product-full__messenger-order {
  margin-top: var(--spacing-md);
  display: flex;
  flex-direction: column;
  gap: var(--spacing-md);
}

.product-full__sku {
  display: flex;
  justify-content: flex-end;
}

.product-variation-full-sku {
  font: var(--typography-label-medium);
  display: inline-flex;
  align-items: center;
  justify-content: flex-end;
  color: var(--color-white);
  background-color: var(--color-text-dimmed);
  padding: var(--spacing-xxs) var(--spacing-sm);
  border-radius: var(--button-border-radius);
  font-weight: bold;
}

.product-variation-full-sku__value {
  margin-left: var(--spacing-xxs);
}

.product-full__rating {
  margin-top: var(--spacing-sm);
}

.product-full__specs-preview {
  margin-top: var(--spacing-sm);
}

.product-full__price {
  margin-bottom: var(--spacing-md);
}

.product-full__tabs {
  overflow: hidden;
  margin-top: var(--spacing-xl);
  border-radius: var(--radius-md);
  background-color: var(--color-surface);
  box-shadow: var(--shadow-xs);
}

.product-full__tabs-navigation {
  display: grid;
  gap: 0;
  grid-template-columns: repeat(2, 1fr);
}

.product-full__tab {
  font: var(--typography-body-medium);
  font-weight: bold;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: var(--spacing-sm) var(--spacing-lg);
  cursor: pointer;
  color: var(--color-text-dimmed);
  border: 2px solid transparent;
  background-color: transparent;
  flex-shrink: 0;
  position: relative;
}

@media screen and (min-width: 768px) {
  .product-full__tab {
    font: var(--typography-title-medium);
    border: none;
    border-bottom: 4px solid transparent;
  }
}

.product-full__tab:nth-child(1) {
  border-radius: var(--radius-md) 0 0 0;
}

@media screen and (min-width: 768px) {
  .product-full__tab:nth-child(1) {
    border-radius: 0;
  }
}

.product-full__tab:nth-child(2) {
  border-radius: 0 var(--radius-md) 0 0;
}

@media screen and (min-width: 768px) {
  .product-full__tab:nth-child(2) {
    border-radius: 0;
  }
}

.product-full__tab::after {
  display: block;
  content: '';
  border-bottom: 1px solid var(--color-border-light);
  position: absolute;
  bottom: 0;
  left: -2px;
  right: -2px;
}

@media screen and (min-width: 768px) {
  .product-full__tab::after {
    display: none;
  }
}

.product-full__tab--active {
  color: var(--color-on-primary-container);
  border-color: var(--color-on-primary-container);
  background-color: var(--color-primary-container);
}

.product-full__tab--active::after {
  display: none;
}

.product-full__tab-counter {
  display: inline-block;
  margin-left: var(--spacing-sm);
  width: 24px;
  height: 24px;
  line-height: 24px;
  background-color: var(--color-primary);
  color: var(--color-on-primary);
  font: var(--typography-body-small);
  font-weight: 0;
  border-radius: var(--radius-xs);
}

.product-full__tab-content {
  padding: var(--spacing-lg);
}

.product-full-tmg-description {
  max-width: 800px;
}

.product-full__related {
  margin-top: var(--spacing-xl);
}

.product-full__related-header {
  display: flex;
  align-items: flex-start;
  flex-flow: wrap;
}

.product-full__related-title {
  margin: 0 var(--spacing-lg) 0 0;
}

.product-full__related-navigation {
  display: flex;
  overflow-x: auto;
  flex-flow: nowrap;
  flex-grow: 1;
  margin-top: var(--spacing-sm);
  padding-bottom: 2px;
  border-bottom: 2px solid var(--color-border-light);
}

.product-full__related-tab {
  font: var(--typography-body-medium);
  font-weight: bold;
  flex: 1 0 auto;
  padding: var(--spacing-sm) var(--spacing-md);
  cursor: pointer;
  transition: all 0.2s ease-in-out;
  white-space: nowrap;
  border: none;
  border-bottom: 2px solid transparent;
  border-radius: var(--radius-md) var(--radius-md) 0 0;
  background-color: transparent;
}

.product-full__related-tab--active {
  color: var(--color-on-primary-container);
  border-color: var(--color-on-primary-container);
  background-color: var(--color-primary-container);
}

.product-full__related-contents {
  padding: var(--spacing-lg) 0;
}

.product-full__related-subtitle {
  color: var(--color-text-dimmed);
}

.product-full .buy-in-one-click {
  display: block;
  padding: var(--button-padding);
  border-radius: var(--button-border-radius);
  border: 1px solid var(--color-border);
  margin-top: var(--spacing-sm);
  text-align: center;
  color: var(--color-text);
  font-weight: bold;
}

.product-full .production-time {
  margin-bottom: var(--spacing-sm);
}

.product-full__delivery {
  font: var(--typography-body-small);
  --p-margin--y: var(--spacing-xs);
}

.product-full__delivery-title {
  display: flex;
  align-items: center;
  font-weight: bold;
}

.product-full__delivery-title::before {
  content: '';
  display: block;
  margin-right: var(--spacing-xs);
  width: 1rem;
  height: 1rem;
  background: transparent url('../../../icons/111111/truck-fast-outline.svg') no-repeat center;
  background-size: 1rem;
}

.product-full__payment {
  font: var(--typography-body-small);
  --p-margin--y: var(--spacing-xs);
  margin-bottom: var(--spacing-md);
}

.product-full__payment-title {
  display: flex;
  align-items: center;
  font-weight: bold;
}

.product-full__payment-title::before {
  content: '';
  display: block;
  margin-right: var(--spacing-xs);
  width: 1rem;
  height: 1rem;
  background: transparent url('../../../icons/111111/credit-card-clock-outline.svg') no-repeat center;
  background-size: 1rem;
}

.product-full__customer-info {
  margin-top: var(--spacing-md);
}

.product-full__reviews {
  display: grid;
  grid-gap: var(--spacing-lg);
}

.product-full__reviews-media-gallery {
  margin-bottom: var(--spacing-lg);
  border-bottom: 1px solid var(--color-border-light);
  padding-bottom: var(--spacing-lg);
}

.product-full .product-add-review-button {
  display: block;
  background-color: var(--color-primary);
  color: var(--color-on-primary);
  text-align: center;
  padding: var(--spacing-sm) var(--spacing-md);
  border-radius: var(--radius-sm);
}

.product-full__quick-downloads {
  margin-top: var(--spacing-md);
}

.product-full__quick-downloads-item:not(:last-child) {
  margin-bottom: var(--spacing-sm);
  padding-bottom: var(--spacing-sm);
  border-bottom: 1px solid var(--color-border);
}

@media (min-width: 425px) {
  .product-full__buy {
    grid-template-columns: 1fr 200px;
  }
}

@media (min-width: 768px) {
  .product-full__main {
    grid-template-columns: max-content 1fr;
  }

  .product-full__tabs {
    scroll-margin-top: calc(var(--page-header-middle-height) + var(--spacing-lg));
  }

  .product-full__related-header {
    flex-flow: nowrap;
  }

  .product-full__related-navigation {
    margin-top: 0;
    padding-bottom: 0;
  }

  .product-full__related-tab {
    font: var(--typography-title-small);
  }

  .product-full__reviews {
    grid-template-columns: 1fr 320px;
  }

  .product-full__tabs-navigation {
    display: flex;
    border-bottom: 1px solid var(--color-border-light);
  }
}

@media (min-width: 1024px) {
  .product-full__main-second {
    grid-template-columns: repeat(2, 1fr);
  }
}

.product-full__out-of-stock {
  text-align: center;
  padding: var(--spacing-md);
  font: var(--typography-title-medium);
  font-weight: bold;
  border-radius: var(--radius-sm);
}

.product-full__main-col {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-md);
}